import request from '@/utils/request'

// 查询高压消防炮列表
export function listHighpresfire(query) {
  return request({
    url: '/ehs/highpresfire/list',
    method: 'get',
    params: query
  })
}

// 查询高压消防炮详细
export function getHighpresfire(id) {
  return request({
    url: '/ehs/highpresfire/' + id,
    method: 'get'
  })
}

// 新增高压消防炮
export function addHighpresfire(data) {
  return request({
    url: '/ehs/highpresfire',
    method: 'post',
    data: data
  })
}

// 修改高压消防炮
export function updateHighpresfire(data) {
  return request({
    url: '/ehs/highpresfire',
    method: 'put',
    data: data
  })
}

// 删除高压消防炮
export function delHighpresfire(id) {
  return request({
    url: '/ehs/highpresfire/' + id,
    method: 'delete'
  })
}

// 导出高压消防炮
export function exportHighpresfire(query) {
  return request({
    url: '/ehs/highpresfire/export',
    method: 'get',
    params: query
  })
}

// 批量高压消防炮
export function batchEdit(data) {
  return request({
    url: '/ehs/highpresfire/batchEdit',
    method: 'post',
    data: data
  })
}

